### R code from vignette source 'mhw_1ar'

###################################################
### code chunk number 1: mhw_1ar.Rnw:63-64
###################################################
mhw.c <- mhw


###################################################
### code chunk number 2: mhw_1ar.Rnw:69-72
###################################################
ix <- (mhw.c$r < 5) & (mhw.c$c <5)
rownames(mhw.c[ix,])
subset(mhw.c, ix)


###################################################
### code chunk number 3: mhw_1ar.Rnw:79-80
###################################################
mhw.c[ix, "grain"] <- mhw.c[ix, "grain"]/4


###################################################
### code chunk number 4: mhw_1ar.Rnw:89-91
###################################################
summary(mhw$grain); sd(mhw$grain)
summary(mhw.c$grain); sd(mhw.c$grain)


###################################################
### code chunk number 5: mhw_1ar.Rnw:97-105
###################################################
par(mfrow=c(1,2))
hist(mhw$grain, xlab="Grain yield, lbs / plot",
     main="Actual", breaks=seq(0,6, by=.25))
rug(mhw$grain)
hist(mhw.c$grain, xlab="Grain yield, lbs / plot",
     main="Contaminated", breaks=seq(0,6, by=.25))
rug(mhw.c$grain)
par(mfrow=c(1,1))


###################################################
### code chunk number 6: mhw_1ar.Rnw:119-127
###################################################
mean(mhw$grain); mean(mhw.c$grain)
(mean(mhw.c$grain) - mean(mhw$grain))/mean(mhw$grain)*100
sd(mhw$grain); sd(mhw.c$grain)
(sd(mhw.c$grain) - sd(mhw$grain))/sd(mhw$grain)*100
median(mhw$grain); median(mhw.c$grain)
(median(mhw.c$grain) - median(mhw$grain))/median(mhw$grain)*100
IQR(mhw$grain); IQR(mhw.c$grain)
(IQR(mhw.c$grain) - IQR(mhw$grain))/IQR(mhw$grain)*100


###################################################
### code chunk number 7: mhw_1ar.Rnw:147-148
###################################################
head(cbind(mhw[, c("grain", "straw")],rank(mhw$grain),rank(mhw$straw)), n=8)


###################################################
### code chunk number 8: mhw_1ar.Rnw:161-167
###################################################
par(mfrow=c(2,2))
plot(rank(mhw$grain), rank(mhw$straw), xlab="Grain rank", ylab="Straw rank", pch=1, main="Original")  
plot(mhw$grain, mhw$straw, xlab="Grain (lbs / plot)", ylab="Straw (lbs / plot)", pch=20, main="Original")  
plot(rank(mhw.c$grain), rank(mhw.c$straw), xlab="Grain rank", ylab="Straw rank", pch=1, main="Contaminated")  
plot(mhw.c$grain, mhw.c$straw, xlab="Grain (lbs / plot)", ylab="Straw (lbs / plot)", pch=20, main="Contaminated")  
par(mfrow=c(1,1))


###################################################
### code chunk number 9: mhw_1ar.Rnw:186-190
###################################################
(c.p <- cor(mhw$grain, mhw.c$straw, method="pearson"))
(cc.p <- cor(mhw.c$grain, mhw.c$straw, method="pearson"))
(c.s <- cor(mhw$grain, mhw.c$straw, method="spearman"))
(cc.s <- cor(mhw.c$grain, mhw.c$straw, method="spearman"))


###################################################
### code chunk number 10: mhw_1ar.Rnw:205-207
###################################################
print(model.straw.grain)
(model.straw.grain.c <- lm(straw ~ grain, data=mhw.c))


###################################################
### code chunk number 11: mhw_1ar.Rnw:219-222
###################################################
par(mfrow=c(2,2))
plot(model.straw.grain.c)
par(mfrow=c(1,1))


###################################################
### code chunk number 12: mhw_1ar.Rnw:238-243
###################################################
with(mhw.c, plot(straw ~ grain))
abline(model.straw.grain.c)
abline(model.straw.grain, lty=2, col="blue")
legend(1.5, 8.5, legend=c("fit", "fit to uncontaminated"),
       lty=1:2, col=c("black","blue"))


###################################################
### code chunk number 13: mhw_1ar.Rnw:274-277
###################################################
require(MASS)
(model.straw.grain.c.r <- lqs(straw ~ grain, data=mhw.c))
sqrt(mean(residuals(model.straw.grain)^2))


###################################################
### code chunk number 14: mhw_1ar.Rnw:286-291
###################################################
with(mhw.c, plot(straw ~ grain))
abline(model.straw.grain.c.r)
abline(model.straw.grain.c, lty=3, col="red")
abline(model.straw.grain, lty=2, col="blue")
legend(1.5, 8.5, legend=c("robust fit", "linear fit", "fit to uncontaminated"), lty=c(1,3,2), col=c("black","red","blue"))


